aboutsummaryrefslogtreecommitdiffstats
path: root/community
diff options
context:
space:
mode:
authorFrancesco Colista <fcolista@alpinelinux.org>2016-09-13 07:13:40 +0000
committerFrancesco Colista <fcolista@alpinelinux.org>2016-09-13 07:15:43 +0000
commitfb378a017bc6eba8610438dac4bccce51210a84c (patch)
tree9c89d8ee08d4039f83ea513dbeb31dd71a95fdf8 /community
parent71a3797b2a3035ba71846a2bae312c26e46cf116 (diff)
downloadaports-fb378a017bc6eba8610438dac4bccce51210a84c.tar.gz
aports-fb378a017bc6eba8610438dac4bccce51210a84c.tar.bz2
aports-fb378a017bc6eba8610438dac4bccce51210a84c.tar.xz
community/perl-[class-factoryutil|datetime-format-builder|sort-key|text-csv_xs]: moved from testing
Diffstat (limited to 'community')
-rw-r--r--community/perl-class-factory-util/APKBUILD42
-rw-r--r--community/perl-datetime-format-builder/APKBUILD42
-rw-r--r--community/perl-sort-key/APKBUILD42
-rw-r--r--community/perl-text-csv_xs/APKBUILD43
4 files changed, 169 insertions, 0 deletions
diff --git a/community/perl-class-factory-util/APKBUILD b/community/perl-class-factory-util/APKBUILD
new file mode 100644
index 0000000000..89b6fe6f33
--- /dev/null
+++ b/community/perl-class-factory-util/APKBUILD
@@ -0,0 +1,42 @@
+# Automatically generated by apkbuild-cpan, template 1
+# Contributor: Francesco Colista <fcolista@alpinelinux.org>
+# Maintainer: Francesco Colista <fcolista@alpinelinux.org>
+pkgname=perl-class-factory-util
+_pkgreal=Class-Factory-Util
+pkgver=1.7
+pkgrel=0
+pkgdesc="Perl module for Class-Factory-Util"
+url="http://search.cpan.org/dist/Class-Factory-Util/"
+arch="noarch"
+license="GPL PerlArtistic"
+cpandepends=""
+cpanmakedepends="perl-module-build perl-test-pod-coverage perl-test-pod"
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/D/DR/DROLSKY/$_pkgreal-$pkgver.tar.gz"
+builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+ default_prepare || return 1
+
+ cd "$builddir"
+ export CFLAGS=$(perl -MConfig -E 'say $Config{ccflags}')
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
+}
+
+build() {
+ cd "$builddir"
+ export CFLAGS=$(perl -MConfig -E 'say $Config{ccflags}')
+ make && make test
+}
+
+package() {
+ cd "$builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="aebd79da361b676a7ecd3245fc3d1b3f Class-Factory-Util-1.7.tar.gz"
+sha256sums="6c516b445b44f87363fb3a148431d31e9ecb5e6f21fb6481c89b2406b6692e26 Class-Factory-Util-1.7.tar.gz"
+sha512sums="8b8af36f1100805a9f59bd8745bc41455ebc20af9ff9cedd8a36370f66e0fb63a761918ae4f268d5546aeeecdd4ca7de448aca36e84f27b8f0932f34db68982e Class-Factory-Util-1.7.tar.gz"
diff --git a/community/perl-datetime-format-builder/APKBUILD b/community/perl-datetime-format-builder/APKBUILD
new file mode 100644
index 0000000000..4978793c78
--- /dev/null
+++ b/community/perl-datetime-format-builder/APKBUILD
@@ -0,0 +1,42 @@
+# Automatically generated by apkbuild-cpan, template 1
+# Contributor: Francesco Colista <fcolista@alpinelinux.org>
+# Maintainer: Francesco Colista <fcolista@alpinelinux.org>
+pkgname=perl-datetime-format-builder
+_pkgreal=DateTime-Format-Builder
+pkgver=0.81
+pkgrel=0
+pkgdesc="Create DateTime parser classes and objects."
+url="http://search.cpan.org/dist/DateTime-Format-Builder/"
+arch="noarch"
+license="Artistic-2"
+cpandepends="perl-datetime-format-strptime perl-datetime perl-class-factory-util perl-params-validate"
+cpanmakedepends=" "
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/D/DR/DROLSKY/$_pkgreal-$pkgver.tar.gz"
+builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+ default_prepare || return 1
+
+ cd "$builddir"
+ export CFLAGS=$(perl -MConfig -E 'say $Config{ccflags}')
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
+}
+
+build() {
+ cd "$builddir"
+ export CFLAGS=$(perl -MConfig -E 'say $Config{ccflags}')
+ make && make test
+}
+
+package() {
+ cd "$builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="21d950a9425c0173d6191697bf9dc4dc DateTime-Format-Builder-0.81.tar.gz"
+sha256sums="7cd58a8cb53bf698407cc992f89e4d49bf3dc55baf4f3f00f1def63a0fff33ef DateTime-Format-Builder-0.81.tar.gz"
+sha512sums="617cf72e900d9bb17fd5c3cfbfa1874bf1c34de144514ea4cabd7b66eb682696b9c9501e66db1073da59c5e8278e6878b893876a1a7f11a9c011dbae44ebdd57 DateTime-Format-Builder-0.81.tar.gz"
diff --git a/community/perl-sort-key/APKBUILD b/community/perl-sort-key/APKBUILD
new file mode 100644
index 0000000000..9b6bf934b2
--- /dev/null
+++ b/community/perl-sort-key/APKBUILD
@@ -0,0 +1,42 @@
+# Automatically generated by apkbuild-cpan, template 1
+# Contributor: Francesco Colista <fcolista@alpinelinux.org>
+# Maintainer: Francesco Colista <fcolista@alpinelinux.org>
+pkgname=perl-sort-key
+_pkgreal=Sort-Key
+pkgver=1.33
+pkgrel=0
+pkgdesc="the fastest way to sort anything in Perl"
+url="http://search.cpan.org/dist/Sort-Key/"
+arch="all"
+license="GPL PerlArtistic"
+cpandepends=""
+cpanmakedepends=" "
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/S/SA/SALVA/$_pkgreal-$pkgver.tar.gz"
+builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+ default_prepare || return 1
+
+ cd "$builddir"
+ export CFLAGS=$(perl -MConfig -E 'say $Config{ccflags}')
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
+}
+
+build() {
+ cd "$builddir"
+ export CFLAGS=$(perl -MConfig -E 'say $Config{ccflags}')
+ make && make test
+}
+
+package() {
+ cd "$builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="a37ab0da0cfdc26e57b4c79e39f6d98f Sort-Key-1.33.tar.gz"
+sha256sums="ed6a4ccfab094c9cd164f564024e98bd21d94f4312ccac4d6246d22b34081acf Sort-Key-1.33.tar.gz"
+sha512sums="cf87cd2f5c0eea662dbdaf7faed5646ebd63925c71a093a79a9980d6de290b1128443954675893f263961e68d1db0e9e4ca1412a2734ce8dcdd271bcf4f1be17 Sort-Key-1.33.tar.gz"
diff --git a/community/perl-text-csv_xs/APKBUILD b/community/perl-text-csv_xs/APKBUILD
new file mode 100644
index 0000000000..67396ec0e7
--- /dev/null
+++ b/community/perl-text-csv_xs/APKBUILD
@@ -0,0 +1,43 @@
+# Automatically generated by apkbuild-cpan, template 1
+# Contributor: Francesco Colista <fcolista@alpinelinux.org>
+# Maintainer: Francesco Colista <fcolista@alpinelinux.org>
+pkgname=perl-text-csv_xs
+_pkgreal=Text-CSV_XS
+pkgver=1.25
+pkgrel=0
+pkgdesc="Perl module for Text-CSV_XS"
+url="http://search.cpan.org/dist/Text-CSV_XS/"
+arch="all"
+license="GPL PerlArtistic"
+cpandepends=""
+cpanmakedepends="perl-test-pod perl-test-pod-coverage"
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/H/HM/HMBRAND/$_pkgreal-$pkgver.tgz"
+builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+ default_prepare || return 1
+
+ cd "$builddir"
+ export CFLAGS=$(perl -MConfig -E 'say $Config{ccflags}')
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
+}
+
+build() {
+ cd "$builddir"
+ export CFLAGS=$(perl -MConfig -E 'say $Config{ccflags}')
+ make && make test
+}
+
+package() {
+ cd "$builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+
+md5sums="2b3fbdf630926d48f016900c84d27148 Text-CSV_XS-1.25.tgz"
+sha256sums="b3742f3ed7361f2215baec3b807e16ee16ef0d0166c2359e78802e9ef172f41b Text-CSV_XS-1.25.tgz"
+sha512sums="768c9b5795efb0902bb47e66132cdffbfcf1cfefb961387afbc089025381af69a6ac08b390f78221de9e8e19e25ce066f774f2fc6bd034ea0cd9949b744e65f8 Text-CSV_XS-1.25.tgz"